io.undertow.websockets.client

## Class WebSocket13ClientHandshake

- java.lang.Object
- - io.undertow.websockets.client.WebSocketClientHandshake
  - - io.undertow.websockets.client.WebSocket13ClientHandshake

    public class WebSocket13ClientHandshake
    extends WebSocketClientHandshake

Author:
  Stuart Douglas

### Field Summary

Fields
`static String` `MAGIC_NUMBER`

### Fields inherited from class io.undertow.websockets.client.WebSocketClientHandshake

`url`

### Constructor Summary

Constructors
Constructor and Description
`WebSocket13ClientHandshake(URI url)`
`WebSocket13ClientHandshake(URI url, WebSocketClientNegotiation negotiation, Set<ExtensionHandshake> extensions)`

### Method Summary

All Methods Instance Methods Concrete Methods
`WebSocketChannel` `createChannel(org.xnio.StreamConnection channel, String wsUri, ByteBufferPool bufferPool, org.xnio.OptionMap options)`
`Map<String,String>` `createHeaders()`
`protected String` `createSecKey()`
`WebSocketVersion` `getVersion()`
`org.xnio.http.ExtendedHandshakeChecker` `handshakeChecker(URI uri, Map<String,List<String>> requestHeaders)`
`protected String` `solve(String nonceBase64)`

### Methods inherited from class io.undertow.websockets.client.WebSocketClientHandshake

`create, create`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MAGIC_NUMBER

    public static final String MAGIC_NUMBER

See Also:
  Constant Field Values

### Constructor Detail

#### WebSocket13ClientHandshake

    public WebSocket13ClientHandshake(URI url,
                                      WebSocketClientNegotiation negotiation,
                                      Set<ExtensionHandshake> extensions)

#### WebSocket13ClientHandshake

    public WebSocket13ClientHandshake(URI url)

### Method Detail

#### createChannel

    public WebSocketChannel createChannel(org.xnio.StreamConnection channel,
                                          String wsUri,
                                          ByteBufferPool bufferPool,
                                          org.xnio.OptionMap options)

Specified by:
  `createChannel` in class `WebSocketClientHandshake`

#### createHeaders

    public Map<String,String> createHeaders()

Specified by:
  `createHeaders` in class `WebSocketClientHandshake`

#### createSecKey

    protected String createSecKey()

#### handshakeChecker

    public org.xnio.http.ExtendedHandshakeChecker handshakeChecker(URI uri,
                                                                   Map<String,List<String>> requestHeaders)

Specified by:
  `handshakeChecker` in class `WebSocketClientHandshake`

#### solve

    protected final String solve(String nonceBase64)

#### getVersion

    public WebSocketVersion getVersion()